Pass3bVerifier (jakarta-bcel 5.1 API)
Keywords: org.apache.bcel.verifier.structurals.Pass3bVerifier,Pass3bVerifier class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.bcel.verifier.structurals
Class Pass3bVerifier

    java.lang.Object
      |
      +--org.apache.bcel.verifier.PassVerifier
            |
            +--org.apache.bcel.verifier.structurals.Pass3bVerifier

public final class Pass3bVerifier
extends PassVerifier

This PassVerifier verifies a method of class file according to pass 3, so-called structural verification as described in The Java Virtual Machine Specification, 2nd edition. More detailed information is to be found at the do_verify() method's documentation.

Version:
  $Id: Pass3bVerifier.java,v 1.3 2002/07/04 21:44:42 enver Exp $
Author:
  Enver Haase
See Also:
  `do_verify()`

Constructor Summary
`Pass3bVerifier(Verifier owner, int method_no)` This class should only be instantiated by a Verifier.

Method Summary
`VerificationResult` | `do_verify()` Pass 3b implements the data flow analysis as described in the Java Virtual Machine Specification, Second Edition.
`int` | `getMethodNo()` Returns the method number as supplied when instantiating.

Methods inherited from class org.apache.bcel.verifier.PassVerifier
`addMessage, getMessages, verify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Pass3bVerifier

    public Pass3bVerifier(Verifier owner,
                          int method_no)

  This class should only be instantiated by a Verifier.

See Also:
  `Verifier`

Method Detail

### do_verify

    public VerificationResult do_verify()

  Pass 3b implements the data flow analysis as described in the Java Virtual Machine Specification, Second Edition. Later versions will use LocalVariablesInfo objects to verify if the verifier-inferred types and the class file's debug information (LocalVariables attributes) match [TODO].

  Specified by:
    `do_verify` in class `PassVerifier`
  See Also:
    `LocalVariablesInfo`, `Pass2Verifier.getLocalVariablesInfo(int)`

### getMethodNo

    public int getMethodNo()

  Returns the method number as supplied when instantiating.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2003 Apache Software Foundation. All Rights Reserved.